Aurion Docs
Api

Create User

Create a new user. Admin only. The user will be created with is_active=true and no Azure AD binding. The Azure AD identity will be bound on first login.

POST
/api/v1/users

Create a new user.

Admin only. The user will be created with is_active=true and no Azure AD binding. The Azure AD identity will be bound on first login.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/users" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "email": "string",
  "email_normalized": "string",
  "full_name": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "is_active": true,
  "is_azure_bound": true,
  "last_login_at": "2019-08-24T14:15:22Z",
  "role": "super_admin",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}